Bug 169353 - TreeView should allow expandAll without setting the busy cursor
TreeView should allow expandAll without setting the busy cursor
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Explorer
6.x
All All
: P2 (vote)
: 6.x
Assigned To: t_h
issues@platform
: API, API_REVIEW_FAST, PERFORMANCE
Depends on:
Blocks: 167708
  Show dependency treegraph
 
Reported: 2009-07-28 15:42 UTC by David Strupl
Modified: 2009-10-22 23:37 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
patch (2.94 KB, text/plain)
2009-10-07 13:16 UTC, t_h
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Strupl 2009-07-28 15:42:52 UTC
Please check the report #167708 that I am going to make depend on this report. Without the API change I am not able to
implement what I am being asked for by QA.

I suggest something like expandAll(boolean showBusyCursor) in TreeView allowing to suppress the annoying switching
on/off the busy cursor during expandAll operation.
Comment 1 David Strupl 2009-07-28 15:44:13 UTC
This is API enhancement blocking 167708.
Comment 2 Marian Mirilovic 2009-09-21 09:56:56 UTC
this issue blocks issue 167708 .. I would vote for implementing such change into NB 6.8 
Comment 3 t_h 2009-10-07 13:16:35 UTC
Created attachment 88999 [details]
patch
Comment 4 t_h 2009-10-07 13:17:44 UTC
please review
Comment 5 David Strupl 2009-10-07 13:27:03 UTC
The patch is fine with me. But according to the fast track api review process you should pick at least another 3
reviewers ...
Comment 6 t_h 2009-10-19 14:20:56 UTC
Thanks for review.
Comment 7 t_h 2009-10-19 14:24:37 UTC
core-main #391b505f0c2f
Comment 8 Quality Engineering 2009-10-22 23:37:49 UTC
Integrated into 'main-golden', will be available in build *200910221401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/391b505f0c2f
User: Tomas Holy <t_h@netbeans.org>
Log: #169353: TreeView should allow expandAll without setting the busy cursor


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo